Skip to main content
GET
/
api
/
providers
/
{provider}
Error
A valid request URL is required to generate request examples
{
  "name": "openai",
  "network_config": {
    "base_url": "<string>",
    "extra_headers": {},
    "default_request_timeout_in_seconds": 123,
    "max_retries": 123,
    "retry_backoff_initial": 123,
    "retry_backoff_max": 123,
    "insecure_skip_verify": true,
    "ca_cert_pem": "<string>"
  },
  "concurrency_and_buffer_size": {
    "concurrency": 123,
    "buffer_size": 123
  },
  "proxy_config": {
    "type": "none",
    "url": "<string>",
    "username": "<string>",
    "password": "<string>",
    "ca_cert_pem": "<string>"
  },
  "send_back_raw_request": true,
  "send_back_raw_response": true,
  "store_raw_request_response": true,
  "custom_provider_config": {
    "is_key_less": true,
    "base_provider_type": "openai",
    "allowed_requests": {
      "list_models": true,
      "text_completion": true,
      "text_completion_stream": true,
      "chat_completion": true,
      "chat_completion_stream": true,
      "responses": true,
      "responses_stream": true,
      "count_tokens": true,
      "embedding": true,
      "speech": true,
      "speech_stream": true,
      "transcription": true,
      "transcription_stream": true,
      "image_generation": true,
      "image_generation_stream": true,
      "batch_create": true,
      "batch_list": true,
      "batch_retrieve": true,
      "batch_cancel": true,
      "batch_results": true,
      "file_upload": true,
      "file_list": true,
      "file_retrieve": true,
      "file_delete": true,
      "file_content": true
    },
    "request_path_overrides": {}
  },
  "provider_status": "active",
  "status": "<string>",
  "description": "<string>",
  "config_hash": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

provider
string
required

Provider name

Response

Successful response

Provider configuration response

name
enum<string>

AI model provider identifier

Available options:
openai,
azure,
anthropic,
bedrock,
cohere,
vertex,
vllm,
mistral,
ollama,
groq,
sgl,
parasail,
perplexity,
replicate,
cerebras,
gemini,
openrouter,
elevenlabs,
huggingface,
nebius,
xai,
runway,
fireworks
network_config
object

Network configuration for provider connections

concurrency_and_buffer_size
object

Concurrency settings

proxy_config
object

Proxy configuration

send_back_raw_request
boolean
send_back_raw_response
boolean
store_raw_request_response
boolean
custom_provider_config
object

Custom provider configuration

provider_status
enum<string>

Status of the provider

Available options:
active,
error,
deleted
status
string

Operational status (e.g., list_models_failed)

description
string

Error/status description

config_hash
string

Hash of config.json version, used for change detection